﻿using System;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media.Animation;
using System.Windows.Media;
using System.Windows.Shapes;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Rectangle rectangle = new Rectangle();

            rectangle.HorizontalAlignment = HorizontalAlignment.Center;
            rectangle.Width               = 100;
            rectangle.Height              = 100;
            rectangle.Fill                = Brushes.Blue;

            NameScope.SetNameScope(this, new NameScope());

            RegisterName("rectangle", rectangle);

            DoubleAnimation doubleAnimation = new DoubleAnimation();

            doubleAnimation.Duration = new Duration(TimeSpan.FromSeconds(10));
            doubleAnimation.To       = 300;

            Storyboard.SetTargetName(doubleAnimation, "rectangle");
            Storyboard.SetTargetProperty(doubleAnimation, new PropertyPath(Rectangle.WidthProperty));

            Storyboard storyboard = new Storyboard();

            storyboard.Children.Add(doubleAnimation);

            rectangle.MouseLeftButtonDown += delegate(object sender, MouseButtonEventArgs args)
            {
                storyboard.Begin(rectangle);
            };

            Content = rectangle;
        }

        #endregion
    }
}